"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = require("path");
function readExtraConfig(configPath) {
    const commandPath = process.cwd();
    const extraConfigPath = (0, path_1.resolve)(commandPath, configPath);
    if (fs_1.default.existsSync(extraConfigPath) && /json/.test((0, path_1.extname)(extraConfigPath))) {
        return require(extraConfigPath);
    }
    return false;
}
exports.default = readExtraConfig;
