"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const fs = __importStar(require("fs"));
// @ts-ignore
const core_1 = __importDefault(require("@svgr/core"));
function loadSvg() {
    const svgCode = fs.readFileSync(path.resolve(__dirname, "../../example/icons/source/alert-triangle.svg"), "utf-8");
    console.log(svgCode);
    (0, core_1.default)(svgCode, {
        native: true,
        dimensions: false,
        replaceAttrValues: {
            "#000": "{props.color}",
            "#000000": "{props.color}",
            currentColor: "{props.color}",
        },
        plugins: [
            "@svgr/plugin-svgo",
            "@svgr/plugin-jsx",
            "@svgr/plugin-prettier",
        ],
    }, { componentName: "MyComponent" }).then((jsCode) => {
        console.log("--js", jsCode);
    });
}
loadSvg();
// function template(
// 	{ template }: any,
// 	opts: any,
// 	{ imports, componentName, props, jsx, exports }: any
// ) {
// 	console.log(jsx, opts);
// 	return template.ast`
// 	  ${imports}
// 	  const ${componentName} = (${props}) => ${jsx}
// 	  ${exports}
// 	`;
// }
